Skip to main content
GET
/
api
/
v1
/
status-pages
/
{id}
/
incidents
Get incidents for a status page
curl --request GET \
  --url https://api.example.com/api/v1/status-pages/{id}/incidents
{
  "items": [
    {
      "id": "<string>",
      "statusPageId": "<string>",
      "organizationId": "<string>",
      "title": "<string>",
      "severity": "minor",
      "status": "investigating",
      "startedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updates": [
        {
          "id": "<string>",
          "incidentId": "<string>",
          "content": "<string>",
          "status": "investigating",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "affectedMonitors": [
        {
          "id": "<string>"
        }
      ],
      "description": "<string>",
      "monitorId": "<string>",
      "resolvedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "limit": 123,
  "total": 123,
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Query Parameters

limit
integer
default:20

Results per page (default 20, max 100)

Required range: x <= 100
page
integer
default:1

Page number (default 1)

status
enum<string>

Filter by status

Available options:
investigating,
identified,
monitoring,
resolved

Response

200 - application/json

Paginated list of incidents

items
object[]
required
page
integer
required
limit
integer
required
total
integer
required
hasMore
boolean
required